import 'package:flutter/material.dart';
import 'package:phone_form_field/src/helpers/country_finder.dart';
import 'package:phone_form_field/src/widgets/search_box.dart';

import '../models/countries.dart';
import 'country_list.dart';

class CountrySelector extends StatefulWidget {
  final Function(Country) onCountrySelected;

  CountrySelector({
    Key? key,
    required this.onCountrySelected,
  }) : super(key: key);

  @override
  _CountrySelectorState createState() => _CountrySelectorState();
}

class _CountrySelectorState extends State<CountrySelector> {
  List<Country> _filteredCountries = countries;
  final _countryFinder = CountryFinder();

  _onSearch(String txt) {
    setState(() => _filteredCountries = _countryFinder.filter(txt, context));
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SizedBox(
          height: 70,
          width: double.infinity,
          child: SearchBox(
            onChanged: _onSearch,
          ),
        ),
        Expanded(
          flex: 9,
          child: CountryList(
            countries: _filteredCountries,
            onTap: (country) {
              widget.onCountrySelected(country);
            },
          ),
        ),
      ],
    );
  }
}
